aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorIOhannes m zmölnig <zmoelnig@users.sourceforge.net>2015-03-05 15:03:22 +0000
committerIOhannes m zmölnig <zmoelnig@users.sourceforge.net>2015-03-05 15:03:22 +0000
commit05f71533d872a0dfd055ef36125e1492ef438468 (patch)
treef0a87c939fad552c5a9b4c844a971bb4901ba617 /autogen.sh
parent30d179909e5c9a237b6874c369fc7ac8fc92878c (diff)
proper autotools build-system
there are few systems worse than autotools. one of them is a build-system that is only halfway using autotools. so let's completely go into autoworld svn path=/trunk/externals/iem/iemmatrix/; revision=17432
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..e4d4cc8
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+AUTORECONF=$(which autoreconf)
+
+if [ -x "${AUTORECONF}" ]; then
+ ${AUTORECONF} -fiv || exit 1
+else
+ aclocal && autoconf || exit 1
+fi
+echo "now run './configure'" 1>&2
+echo "for help on args run './configure --help'" 1>&2